Address book

List transfer information requests

List transfers that need sender or recipient information.

GET
/api/v2/counterparty-requests

Lists the authenticated organization’s requests. Partial details remain under review; complete means product information is complete, not that a regulatory report has been validated. Returns no requests while transfer information requests are not enabled.

Query Parameters

cursor?string
limit?integer
Default50
Range1 <= value <= 100
transactionId?string
includeClosed?string
Value in"true" | "false"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://compose.finance/api/v2/counterparty-requests"
{
  "items": [
    {
      "id": "string",
      "network": "string",
      "flow": "string",
      "address": "string",
      "currencyId": "string",
      "amount": "string",
      "receivedAt": "string",
      "revision": "string",
      "fromAddress": "string",
      "toAddress": "string",
      "transactionId": "string",
      "respondBy": "string",
      "direction": "INBOUND",
      "status": "UNATTRIBUTED",
      "missingFields": [
        "string"
      ],
      "walletResolved": true,
      "wallet": {
        "owner": {
          "party": "ORGANIZATION",
          "identity": {
            "kind": "INDIVIDUAL",
            "givenName": "string",
            "otherNames": "string",
            "surname": "string",
            "fullName": "string",
            "dateOfBirth": "string",
            "occupation": "string",
            "address": {
              "street": "string",
              "city": "string",
              "region": "string",
              "postalCode": "string",
              "country": "string"
            },
            "identifications": [
              {
                "type": "string",
                "number": "string",
                "country": "string",
                "region": "string"
              }
            ]
          }
        },
        "custody": {
          "walletType": "SELF_CUSTODY",
          "vaspName": "string",
          "vaspAccountRef": "string"
        }
      },
      "followUp": {
        "message": "string",
        "requestedAt": "string"
      }
    }
  ],
  "next": "string"
}
{
  "error": "Invalid declaration"
}
{
  "error": "Unauthorized - Invalid or missing API key or session"
}
{
  "error": "Not found in this organization"
}
{
  "error": "Revision conflict: reload before correcting"
}
{
  "error": "Rate limit exceeded. Please try again later."
}

{
  "error": "Internal server error"
}